diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 435713b..20c3296 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -123158,7 +123158,7 @@ PolynomialAN2Expression():Target == Implementation where
         ++ algebraic number coefficients to \spadtype{Expression Integer}.
   Implementation ==> add
     coerce(p:PAN):EXPR ==
-        map(#1::EXPR, #1::EXPR, p)$PolynomialCategoryLifting(
+        map(x+->x::EXPR, y+->y::EXPR, p)$PolynomialCategoryLifting(
                                   IndexedExponents SY, SY, AN, PAN, EXPR)
     coerce(rf:Fraction PAN):EXPR ==
         numer(rf)::EXPR / denom(rf)::EXPR
diff --git a/changelog b/changelog
index 43a4d42..e7f7c81 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090612 tpd src/axiom-website/patches.html 20090612.02.tpd.patch
+20090612 tpd books/bookvol10.4 PAN2EXPR+-> conversion
 20090612 tpd src/axiom-website/patches.html 20090612.01.tpd.patch
 20090612 tpd books/bookvol10.4 PFOQ+-> conversion
 20090611 tpd src/axiom-website/patches.html 20090611.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 65b604e..2f030f9 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1549,5 +1549,7 @@ bookvol10.4 PLOTTOOL +-> conversion<br/>
 bookvol10.4 PFO +-> conversion<br/>
 <a href="patches/20090612.01.tpd.patch">20090612.01.tpd.patch</a>
 bookvol10.4 PFOQ +-> conversion<br/>
+<a href="patches/20090612.02.tpd.patch">20090612.02.tpd.patch</a>
+bookvol10.4 PAN2EXPR +-> conversion<br/>
  </body>
 </html>
